Delete Consent Form

Deletes the Consent Form identified by the form version for the Tenant.

DELETE
/consent/forms/{version}

Deletes the Consent Form identified by the form version for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

version*string

The version of the Consent form to delete.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.loginradius.com/consent/forms/3"
{
  "IsDeleted": true
}
{
  "Message": "A parameter is not formatted correctly.",
  "Description": "The provided consent form version is invalid. Please enter a valid consent form version in integer format.",
  "ErrorCode": 7900
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Consent form not found",
  "Description": "Consent form not found.",
  "ErrorCode": 8208
}
{
  "Message": "Consent form already deleted",
  "Description": "Consent form already deleted.",
  "ErrorCode": 8209
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}